Subject: Re: [Ietf-krb-wg] I-D Action:draft-sakane-dhc-dhcpv6-kdc-option-09.txt

From: Shoichi Sakane <[email-masked]>
Date: Tue, 07 Jun 2011 15:29:38 +0900

Jeff,

Could you suggest me what I have to do before you will pass it
to the IESG review ?  I think we don't get a consensus which
part I have to edit.

Shoichi

On 5/26/11 11:43 PM, Jeffrey Hutzelman wrote:
> On Thu, 2011-05-26 at 09:57 -0400, Ted Lemon wrote:
>> Le May 26, 2011 à 12:11 AM, Jeffrey Hutzelman a écrit :
>>> Of three paragraphs in this section, the first harmlessly restates the
>>> obvious, the second is indeed a respecification of part of DHCP, and the
>>> third makes a specific recommendation with regard to the options defined
>>> in the present document; specifically, that servers (which implement
>>> this document) SHOULD provide at least a default realm.
>>>
>>> That third paragraph is new normative text which does not duplicate
>>> anything that's said anywhere else.  We can disagree on whether it's
>>> appropriate, but it certainly isn't superfluous.
>>
>> It's not harmless to restate the obvious, because it's frequently the
>>   case that when one restates the obvious in a standard, one restates it
>>   slightly incorrectly.   We'd like to avoid playing telephone if at all
>>   possible.
>
> The text in question says:
>
>     After the DHCPv6 server receives a message which is contained an
>     Option Request Option, what information the server will provide
>     depends on the policy of the server in the end.
>
> That's descriptive and fairly well the way the world works whether we
> like it or not, so it doesn't seem problematic to me.  It's not like
> it's respecifying something that is part of DHCP.  That said, I'm not
> taking a position on this one.  Anyone else want to chime in?
>
>> You're right about the third paragraph--I missed that in my most recent
>>   review.   Sorry about that.
>
> So, what do you want to do about it?  Is a recommendation like this one
> (copied below for reference) going to be problematic?  It doesn't feel
> to me like it crosses into the realm of requiring special-case code on
> the server, but then, my DHCP server configuration likely has more code
> than most. :-)
>
>
>>> Speaking individually, I'll agree this section really does seem
>>> inappropriate.  However, as a chair I'll note this document is post-WGLC
>>> and has had ample opportunity for review, so a change at this point will
>>> require some demonstration of support from the WG.  I'll set a timeout
>>> for comments on this topic of 23:59 UTC Thu 2-Jun-2001 or the conclusion
>>> of the discussion on the previous point, whichever is later.
>>
>> It's worth noting that this option, in addition to being useful for
>>   Kerberos implementations, is also a DHCP extension.   AFAIK it hasn't
>>   passed any sort of last call in the DHC working group.   Moreover, the
>>   Kerberos working group apparently hasn't adopted it as a work item
>>   (or, if it has, the draft ought to say so, but currently does not).
>>   So while it's definitely worth getting consensus on my proposed
>>   changes in the Kerberos working group, this is because it's a good
>>   idea to get consensus, not because it's a necessary step in some
>>   formal process.
>
> We had the choice-of-forum discussion back in November of 2008, and
> agreed that since DHCP option development doesn't generally happen in
> dhc, we'd take it on in krb-wg.  We actually did so some time ago, and
> the datatracker already believes we own the document, though the
> corresponding charter update is only now working its way through the
> IESG.  If you want, I can forward you the mail that Ralph and I
> exchanged on this question.
>
> The WGLC on this document happened in March, 2010 in krb-wg, with a copy
> to the dhcwg list.  You even commented on it, resulting in a fairly
> large change between -08 and -09 which eliminated the use of suboptions
> and any references to carrying IPv4 addresses, among other changes.
> It's taken a while to get from there to here, but I do think it's
> basically done, once we resolve the new issues you've raised.
>
>
>> I also noticed that the draft says it's Informational.   However, it
>>   defines a protocol extension to DHCP.   To me, this makes it pretty
>>   clearly standards track, not informational.   Sorry for not noticing
>>   this sooner--I'm afraid I have a tendency not to read the boilerplate.
>
> Interestingly, this issue was raised during last call, and you said
> something about there being some changes in the works to allow DHCPv6
> option allocation under the IESG Approval policy, which would make this
> question moot.  Did that never happen?
>
> In any case, I hardly think changing the intended status is going to be
> controversial.
>
> -- Jeff
>
> _______________________________________________
> ietf-krb-wg mailing list
> [email-masked]
> https://lists.anl.gov/mailman/listinfo/ietf-krb-wg
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Tue, 07 Jun 2011 09:52:59 -0400

> to the IESG review ?  I think we don't get a consensus which

Ted and I took the process question offline, and I think we have it
resolved.  Due to the time since the last WGLC and the rather
substantial changes made since then, as well as a concern that this may
not have received enough review in DHC, there will be another last call
in both groups.  Probably that will happen starting next week.

I'll have to get back to you on whether there's anything that ought to
be changed before that starts.

-- Jeff

---

From: Shoichi Sakane <[email-masked]>
Date: Tue, 07 Jun 2011 23:15:11 +0900

Jeff and Ted,

> in both groups.  Probably that will happen starting next week.

It sounds very nice.  Thanks.

> be changed before that starts.

Alright.  I will wait for your feedback.

Shoichi